org.apache.sysds.runtime.instructions.spark

## Class ParameterizedBuiltinSPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.spark.SPInstruction
    - - org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction
      - - org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction

All Implemented Interfaces:
  LineageTraceable

    public class ParameterizedBuiltinSPInstruction
    extends ComputationSPInstruction

### Nested Class Summary

Nested Classes
`static class` `ParameterizedBuiltinSPInstruction.CreateMatrixCell`
`static class` `ParameterizedBuiltinSPInstruction.RDDFrameReplaceFunction`
`static class` `ParameterizedBuiltinSPInstruction.RDDMapGroupedAggFunction`
`static class` `ParameterizedBuiltinSPInstruction.RDDMapGroupedAggFunction2` Similar to RDDMapGroupedAggFunction but single output block.
`static class` `ParameterizedBuiltinSPInstruction.RDDRemoveEmptyFunction`
`static class` `ParameterizedBuiltinSPInstruction.RDDRemoveEmptyFunctionInMem`
`static class` `ParameterizedBuiltinSPInstruction.RDDReplaceFunction`
`static class` `ParameterizedBuiltinSPInstruction.RDDRExpandFunction`
`static class` `ParameterizedBuiltinSPInstruction.RDDTokenizeFunction`
`static class` `ParameterizedBuiltinSPInstruction.RDDTransformApplyFunction`
`static class` `ParameterizedBuiltinSPInstruction.RDDTransformApplyOffsetFunction`
`static class` `ParameterizedBuiltinSPInstruction.RDDTransformDecodeExpandFunction`
`static class` `ParameterizedBuiltinSPInstruction.RDDTransformDecodeFunction`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

`SPInstruction.SPType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HashMap<String,String>` `constructParameterMap(String[] params)`
`HashMap<String,String>` `getParams()`
`CacheableData<?>` `getTarget(ExecutionContext ec)`
`static ParameterizedBuiltinSPInstruction` `parseInstruction(String str)`
`void` `processInstruction(ExecutionContext ec)` This method should be used to execute the instruction.
`void` `setOutputCharacteristicsForGroupedAgg(DataCharacteristics mc1, DataCharacteristics mcOut, org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell> out)`

### Methods inherited from class org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction

`getLineageItem, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

`getGraphString, getSPInstructionType, getType, postprocessInstruction, preprocessInstruction, requiresLabelUpdate`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Method Detail

#### getParams

    public HashMap<String,String> getParams()

#### getTarget

    public CacheableData<?> getTarget(ExecutionContext ec)

#### constructParameterMap

    public static HashMap<String,String> constructParameterMap(String[] params)

#### parseInstruction

    public static ParameterizedBuiltinSPInstruction parseInstruction(String str)

#### processInstruction

    public void processInstruction(ExecutionContext ec)

Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `SPInstruction`
Parameters:
  `ec` - execution context

#### setOutputCharacteristicsForGroupedAgg

    public void setOutputCharacteristicsForGroupedAgg(DataCharacteristics mc1,
                                                      DataCharacteristics mcOut,
                                                      org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixCell> out)